Bug 389659 - Please wait while the message is transferred
Summary: Please wait while the message is transferred
Status: REPORTED
Alias: None
Product: kmail2
Classification: Applications
Component: message list (show other bugs)
Version: 5.8.0
Platform: Gentoo Packages Linux
: NOR normal (vote)
Target Milestone: ---
Assignee: kdepim bugs
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2018-01-30 22:34 UTC by Ian
Modified: 2018-05-07 18:59 UTC (History)
4 users (show)

See Also:
Latest Commit:
Version Fixed In:


Attachments
screenshot of dialogue (11.49 KB, image/png)
2018-01-30 22:34 UTC, Ian
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Ian 2018-01-30 22:34:58 UTC
Created attachment 110237 [details]
screenshot of dialogue

hi

Get above message when attempting to open some mails.

System uses POP3, the mail is sitting on my hard drive, so I have no idea where it is tring to transfer the message from or to.

Previous bug report about this says it is a nepomuk issue, I'm not using Nepomuk.
Comment 1 Kitsuna 2018-01-31 21:58:23 UTC
Hi there Ian, can you provide some more information for this bug report? Did you just start using the program and found this issue or is this new? Could you run the program from a terminal and see if there is any output that might be helpful when it gets stuck?
Comment 2 Ian 2018-02-01 10:52:58 UTC
Hi

Trace below, started Kmail, then tried to open message, but 'open message' step did not seem to produce any messages apart from "transferring message" dialogue.

Have been using Kmail since about 2005. The "issues" surfaced a while back, but are considerably worse since last upgrade. At the moment I can't access mails from before the upgrade, whether sent or received. All mail is POP3 and maildirs.

Issues:

1. "Please wait whiule the message is transferred".. which never finishes.

2. Incoming mail not filtered like it used to, but manual filters (ctrl-J) work.

3. Difficulty deleting emails... this is "new"... I highlight message, it deletes and immediately puts them back. Second attempt works. 
It "looks" like they are being run through filter/sort on delete, instead of just being moved to trash, and then ending up where they were, on first attempt, and being deleted on second attempt.

4. Previously, sometimes trying to delete a message would make it grey, but delete action never completes. I don't think I've seen THIS behaviour
since upgrade.

5. Used to have the "duplicate messages" problem but don't think I've noticed it since upgrade. Duplicate would be impossible to delete.

For issues 1, 4 and 5, I would use akonadiconsole to clear the cache on the relevant folder, after which it would behave for a while.

However I did this on one folder after upgrade, and Kmail/akonadi failed to rebuild the index on restart, so now all the mail in that folder is "missing" (but still on disk where it should be) so I am not going to risk that happening to other folders.
Downside is that I can't open old mails... and search does not always work, as a by-product of that, I think.

Is there a way to force akonadi/kmail to rescan/re-index the folder? It used to be in the menu.

Thanks, Ian

$ kmail
org.kde.akonadi.ETM: GEN true false false
org.kde.akonadi.ETM: collection: QVector()
org.kde.akonadi.ETM: 
org.kde.akonadi.ETM: Subtree:  1 QSet(63, 1)
org.kde.akonadi.ETM: Subtree:  256 QSet(259, 258, 257, 256, 262, 261, 260)
org.kde.akonadi.ETM: Subtree:  5 QSet(230, 229, 228, 251, 250, 249, 248, 255, 252, 243, 242, 241, 240, 11, 10, 9, 8, 15, 14, 13, 143, 12, 142, 140, 7, 6, 5, 27, 26, 25, 24, 31, 30, 29, 28, 19, 18, 17, 16, 23, 22, 21, 20, 43, 42, 41, 40, 47, 46, 45, 44, 35, 34, 33, 32, 39, 38, 37, 36, 59, 58, 57, 56, 62, 61, 60, 51, 50, 49, 48, 55, 54, 53, 52, 72, 67, 66, 65, 64, 71, 70, 68, 216, 223, 222, 221, 214, 235, 234, 233, 232, 239, 237, 236, 225, 224, 231)
org.kde.akonadi.ETM: collection: "Sent Mail"
org.kde.akonadi.ETM: Fetch job took  455 msec
org.kde.akonadi.ETM: was collection fetch job: collections: 106
org.kde.akonadi.ETM: first fetched collection: "Search"
org.kde.akonadi.ETM: Fetch job took  486 msec
org.kde.akonadi.ETM: was collection fetch job: collections: 11
org.kde.akonadi.ETM: first fetched collection: "Search"
org.kde.akonadi.ETM: Fetch job took  1081 msec
org.kde.akonadi.ETM: was item fetch job: items: 13405
QXcbConnection: XCB error: 8 (BadMatch), sequence: 5636, resource id: 119537700, major code: 130 (Unknown), minor code: 3
QXcbConnection: XCB error: 8 (BadMatch), sequence: 5639, resource id: 119537700, major code: 130 (Unknown), minor code: 3
QXcbConnection: XCB error: 8 (BadMatch), sequence: 5642, resource id: 119537700, major code: 130 (Unknown), minor code: 3
QXcbConnection: XCB error: 8 (BadMatch), sequence: 5804, resource id: 119537700, major code: 130 (Unknown), minor code: 3
QXcbConnection: XCB error: 8 (BadMatch), sequence: 5828, resource id: 119537700, major code: 130 (Unknown), minor code: 3
QXcbConnection: XCB error: 8 (BadMatch), sequence: 5831, resource id: 119537700, major code: 130 (Unknown), minor code: 3
QXcbConnection: XCB error: 8 (BadMatch), sequence: 5848, resource id: 119537700, major code: 130 (Unknown), minor code: 3
QXcbConnection: XCB error: 8 (BadMatch), sequence: 5876, resource id: 119537700, major code: 130 (Unknown), minor code: 3
QXcbConnection: XCB error: 8 (BadMatch), sequence: 5904, resource id: 119537700, major code: 130 (Unknown), minor code: 3
QXcbConnection: XCB error: 8 (BadMatch), sequence: 5988, resource id: 119537700, major code: 130 (Unknown), minor code: 3
QXcbConnection: XCB error: 8 (BadMatch), sequence: 6006, resource id: 119537700, major code: 130 (Unknown), minor code: 3
QXcbConnection: XCB error: 8 (BadMatch), sequence: 6009, resource id: 119537700, major code: 130 (Unknown), minor code: 3
QXcbConnection: XCB error: 8 (BadMatch), sequence: 6026, resource id: 119537700, major code: 130 (Unknown), minor code: 3
QXcbConnection: XCB error: 8 (BadMatch), sequence: 7062, resource id: 119537700, major code: 130 (Unknown), minor code: 3
QXcbConnection: XCB error: 8 (BadMatch), sequence: 7072, resource id: 119537700, major code: 130 (Unknown), minor code: 3
QXcbConnection: XCB error: 8 (BadMatch), sequence: 7075, resource id: 119537700, major code: 130 (Unknown), minor code: 3
QXcbConnection: XCB error: 8 (BadMatch), sequence: 7133, resource id: 119537700, major code: 130 (Unknown), minor code: 3
QXcbConnection: XCB error: 8 (BadMatch), sequence: 7150, resource id: 119537700, major code: 130 (Unknown), minor code: 3
QXcbConnection: XCB error: 8 (BadMatch), sequence: 7153, resource id: 119537700, major code: 130 (Unknown), minor code: 3
Comment 3 Ian 2018-02-01 13:38:22 UTC
I can confirm that "delete" now runs filters on message instead of just moving to trash folder.
Comment 4 Ian 2018-02-06 21:23:33 UTC
Is there a workaround or something I can do to fix this?

It's interfering with my ability to work... the only way I can open old emails is to find then on disk with Dolphin and open them from there. Trying to open them in Kmail just produces the wait-forever dialogue which is now producing bad behaviour from me...

Mail needs to be 100% stable when released. It's business-critical.

Or is there some other package or library which needs to be updated?

Thanks, Ian
Comment 5 Kitsuna 2018-02-06 22:28:37 UTC
Unfortunately i have not been able to reproduce this issue on my end. It could possibly be related to the amount of emails you are working with, you did mention that you have been using it since 2005. If possible please try fully uninstalling kmail then install again and use a test email address (just make one on like Google or something) see if you can reproduce the issue. If it works ok add your usual email again and see if it breaks. That should at least help narrow down where to look.
Comment 6 Ian 2018-02-07 06:10:15 UTC
hi

I'm starting to think that some IMAP and POP3 code got confused.

I can understand the subject line message if I was using IMAP but everythink is POP3 this end.

I don't know if this is related, possibly, but it seems like the latest update re-arranged my folders as shown in Kmail to have "Local Folder" and "Local folders (offline)" and all my account folders got put into the "offline" branch. 

However now when I delete messages they get moved to (the new?) Trash folder in the "Local folders" branch rather than to where all my old trash is, in the Trash folder in the 'offline' branch.

The same re-arrangement could also be why the auto filters no longer work (but do work when run manually).

It 'feels' like changes were put in which were relevant to IMAP mail but were also applied to POP3 handling when they should not have been.

Aren't these problems related to Akonadi rather than Kmail?

Back in 2013 I lost a lot of mail, at the time I thought the disk was getting flaky. So I was very surprised yesterday when poking around my disk, to find what looks like all these missing mails going back to the early 2000s, in .local/share/akonadi/file_lost+found/

Thanks, Ian
Comment 7 Ian 2018-02-07 06:11:20 UTC
excuse typos, using one hand and can't see where to edit after posting.
Comment 8 johan.claudebreuninger 2018-03-12 10:35:39 UTC
I can confirm this bug on KMail 5.7.3. using Arch Linux official packages.
Comment 9 Ian 2018-03-12 21:57:52 UTC
Okay I think I know what is causing this... Kmail is now storing the emails SOMEWHERE ELSE compared to before. So it's trying to find the old mails in the new place, and they're not there, hence it just spins forever.

Question is, where are the mail stored now? I can't find them... so my nightly backups are backing up nothing (because there's nothing new in the old folders...  ~/.local/share/.local-mail.directory)

Such changes need to be thoroughly documented so that users can take appropriate action, surely?

If there are docs, please point me to them... :-)

I know have mails in 3 or 4 places thanks to various changes in KMail/Akonadi over the years. 

Thanks, Ian
Comment 10 johan.claudebreuninger 2018-03-20 12:23:57 UTC
This is now affecting the ability the even answering messages
Comment 11 johan.claudebreuninger 2018-04-25 13:46:21 UTC
Can be provide any more information to be able to help fix this bug?
Comment 12 johan.claudebreuninger 2018-04-25 13:49:08 UTC
When deleting an email:

johan@Johan-PC ~ :  kmail
Connecting to deprecated signal QDBusConnectionInterface::serviceOwnerChanged(QString,QString,QString)
Error loading text-to-speech plug-in "flite"
[0425/154655.161001:WARNING:stack_trace_posix.cc(648)] Failed to open file: /home/johan/#789899 (deleted)
  Error: Aucun fichier ou dossier de ce type
akonadi.collectionattributetable                   OK
akonadi.collectionmimetyperelation                 OK
akonadi.collectionpimitemrelation                  OK
akonadi.collectiontable                            OK
akonadi.flagtable                                  OK
akonadi.mimetypetable                              OK
akonadi.parttable                                  OK
akonadi.parttypetable                              OK
akonadi.pimitemflagrelation                        OK
akonadi.pimitemtable                               OK
akonadi.pimitemtagrelation                         OK
akonadi.relationtable                              OK
akonadi.relationtypetable                          OK
akonadi.resourcetable                              OK
akonadi.schemaversiontable                         OK
akonadi.tagattributetable                          OK
akonadi.tagremoteidresourcerelationtable           OK
akonadi.tagtable                                   OK
akonadi.tagtypetable                               OK
Connecting to deprecated signal QDBusConnectionInterface::serviceOwnerChanged(QString,QString,QString)
org.kde.pim.akonadicontrol: Agent instance ( "setAgentInstanceOnline" )  "akonadi_imap_resource_0"  has no agent interface.
org.kde.pim.akonadicontrol: "AgentManager::agentInstanceSynchronize"  Agent instance  "akonadi_imap_resource_0"  has no resource interface!
org.kde.pim.akonadicontrol: "AgentManager::agentInstanceSynchronizeCollection"  Agent instance  "akonadi_imap_resource_0"  has no resource interface!
org.kde.pim.akonadiserver: "Cannot connect to agent instance with identifier 'akonadi_imap_resource_0', error message: ''"
QXcbConnection: XCB error: 8 (BadMatch), sequence: 3055, resource id: 52428875, major code: 130 (Unknown), minor code: 3
QXcbConnection: XCB error: 8 (BadMatch), sequence: 3066, resource id: 52428875, major code: 130 (Unknown), minor code: 3
QXcbConnection: XCB error: 8 (BadMatch), sequence: 3076, resource id: 52428875, major code: 130 (Unknown), minor code: 3